<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ximai.mes.md.mapper.MdClientUrgeEmailMapper">

    <resultMap type="MdClientUrgeEmail" id="MdClientUrgeEmailResult">
        <result property="id"    column="id"    />
        <result property="clientCode"    column="client_code"    />
        <result property="email"    column="email"    />
        <result property="contact"    column="contact"    />
        <result property="enableFlag"    column="enable_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectMdClientUrgeEmailVo">
        select id, client_code, email, contact, enable_flag, create_by, create_time, update_by, update_time from md_client_urge_email
    </sql>

    <select id="selectMdClientUrgeEmailList" parameterType="MdClientUrgeEmail" resultMap="MdClientUrgeEmailResult">
        <include refid="selectMdClientUrgeEmailVo"/>
        <where>
            <if test="clientCode != null "> and client_code = #{clientCode}</if>
            <if test="email != null  and email != ''"> and email = #{email}</if>
            <if test="contact != null  and contact != ''"> and contact = #{contact}</if>
            <if test="enableFlag != null  and enableFlag != ''"> and enable_flag = #{enableFlag}</if>
        </where>
    </select>

    <select id="selectMdClientUrgeEmailById" parameterType="String" resultMap="MdClientUrgeEmailResult">
        <include refid="selectMdClientUrgeEmailVo"/>
        where id = #{id}
    </select>

    <insert id="insertMdClientUrgeEmail" parameterType="MdClientUrgeEmail" useGeneratedKeys="true" keyProperty="id">
        insert into md_client_urge_email
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="clientCode != null">client_code,</if>
            <if test="email != null">email,</if>
            <if test="contact != null">contact,</if>
            <if test="enableFlag != null">enable_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="clientCode != null">#{clientCode},</if>
            <if test="email != null">#{email},</if>
            <if test="contact != null">#{contact},</if>
            <if test="enableFlag != null">#{enableFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateMdClientUrgeEmail" parameterType="MdClientUrgeEmail">
        update md_client_urge_email
        <trim prefix="SET" suffixOverrides=",">
            <if test="clientCode != null">client_code = #{clientCode},</if>
            <if test="email != null">email = #{email},</if>
            <if test="contact != null">contact = #{contact},</if>
            <if test="enableFlag != null">enable_flag = #{enableFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteMdClientUrgeEmailById" parameterType="String">
        delete from md_client_urge_email where id = #{id}
    </delete>

    <delete id="deleteMdClientUrgeEmailByIds" parameterType="String">
        delete from md_client_urge_email where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>
